<?php
class Mascot_Core_Kologi_WPCF_Template_Hook {
   
   function __construct(){
      add_action('mascot/core/kologi/wpcf/layouts/single/template', array($this, 'crowdfunding_single_template'));
      add_action('wp_enqueue_scripts', array($this, 'funden_themer_elementor_load_css_header'), 500);
   }

   public function enqueue_element_kit(){
      $active_kit_id = Elementor\Plugin::$instance->kits_manager->get_active_id();
      if($active_kit_id){
         $css_file = new Elementor\Core\Files\CSS\Post($active_kit_id);
         $css_file->enqueue();
      }
   }

   public function funden_themer_elementor_load_css_header(){
      if (!class_exists( 'Elementor\Core\Files\CSS\Post')){
         return;
      }
      global $post;
      
      $this->enqueue_element_kit();

      if($post && $post->post_type == 'product'){
         $template_id = kologi_wp_get_redux_option( 'header-settings-choose-wpcf-single-template-elementor' );
         if($template_id){
            $css_file = new Elementor\Core\Files\CSS\Post($template_id);
            $css_file->enqueue();
         }
      }
   }

   public function crowdfunding_single_template(){
      global $post;
      $post_id = $post->ID;
      
      //$post_template_id = '_default_active_template';
      
      $template_id = kologi_wp_get_redux_option( 'header-settings-choose-wpcf-single-template-elementor' );
      $post_template_id = kologi_wp_get_rwmb_group( 'kologi_wp_' . 'woo_wpcf_product_single', 'wpcf_post_single_template', $post_id );
      
      if( !empty($post_template_id) && $post_template_id && $post_template_id != '_default_template_active' && is_numeric($post_template_id) ){
         $template_id = $post_template_id;
      }

      if($template_id){
         $content_page = \Elementor\Plugin::instance()->frontend->get_builder_content_for_display($template_id);
         if($content_page){
            echo $content_page;
            return;
         }
      }
      get_template_part('wpcftemplate/woocommerce/basic/single-content-default', '');
   }

}

new Mascot_Core_Kologi_WPCF_Template_Hook();
